Bug 1172342 - live install source is allowed as an install destination
Summary: live install source is allowed as an install destination
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c14ba50e98d95e325225c34e033...
: 1211764 1284187 1299011 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-09 21:29 UTC by David Shea
Modified: 2016-04-23 23:46 UTC (History)
15 users (show)

Fixed In Version: python-blivet-1.20.0-1 python-blivet-1.20.0-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-23 23:46:09 UTC


Attachments (Terms of Use)
File: anaconda-tb (545.38 KB, text/plain)
2014-12-09 21:29 UTC, David Shea
no flags Details
File: anaconda.log (18.14 KB, text/plain)
2014-12-09 21:29 UTC, David Shea
no flags Details
File: environ (537 bytes, text/plain)
2014-12-09 21:29 UTC, David Shea
no flags Details
File: journalctl (153.17 KB, text/plain)
2014-12-09 21:29 UTC, David Shea
no flags Details
File: lsblk_output (3.02 KB, text/plain)
2014-12-09 21:29 UTC, David Shea
no flags Details
File: nmcli_dev_list (1.82 KB, text/plain)
2014-12-09 21:29 UTC, David Shea
no flags Details
File: os_info (377 bytes, text/plain)
2014-12-09 21:29 UTC, David Shea
no flags Details
File: program.log (32.69 KB, text/plain)
2014-12-09 21:29 UTC, David Shea
no flags Details
File: storage.log (289.30 KB, text/plain)
2014-12-09 21:29 UTC, David Shea
no flags Details
File: ifcfg.log (1.93 KB, text/plain)
2014-12-09 21:29 UTC, David Shea
no flags Details

Description David Shea 2014-12-09 21:29:23 UTC
Description of problem:
Turns out we do let you try to install over the installer, in live. Booted via USB, and attempted to install to the disk that is in use because I booted off of it.

Version-Release number of selected component:
anaconda-core-21.48.21-1.fc21.x86_64

The following was filed automatically by anaconda:
anaconda 21.48.21-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 213, in commit
    return self.__disk.commit()
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 41, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 270, in commit
    self.partedDisk.commit()
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 249, in create
    self.commit()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 569, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 361, in processActions
    action.execute(callbacks)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 365, in doIt
    self.devicetree.processActions(callbacks)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 216, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 191, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 227, in run
    threading.Thread.run(self, *args, **kwargs)
IOException: Partition(s) 1 on /dev/sdb have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-21-5 ro rd.live.image quiet rhgb rd.live.check
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.x86_64
other involved packages: python-blivet-0.61.13-1.fc21.noarch, pyparted-3.9.5-2.fc21.x86_64, python-libs-2.7.8-7.fc21.x86_64
product:        Fedora"
release:        Fedora release 21 (Twenty One)
type:           anaconda
version:        Fedora

Comment 1 David Shea 2014-12-09 21:29:26 UTC
Created attachment 966496 [details]
File: anaconda-tb

Comment 2 David Shea 2014-12-09 21:29:27 UTC
Created attachment 966497 [details]
File: anaconda.log

Comment 3 David Shea 2014-12-09 21:29:28 UTC
Created attachment 966498 [details]
File: environ

Comment 4 David Shea 2014-12-09 21:29:29 UTC
Created attachment 966499 [details]
File: journalctl

Comment 5 David Shea 2014-12-09 21:29:30 UTC
Created attachment 966500 [details]
File: lsblk_output

Comment 6 David Shea 2014-12-09 21:29:30 UTC
Created attachment 966501 [details]
File: nmcli_dev_list

Comment 7 David Shea 2014-12-09 21:29:31 UTC
Created attachment 966502 [details]
File: os_info

Comment 8 David Shea 2014-12-09 21:29:32 UTC
Created attachment 966503 [details]
File: program.log

Comment 9 David Shea 2014-12-09 21:29:33 UTC
Created attachment 966504 [details]
File: storage.log

Comment 10 David Shea 2014-12-09 21:29:34 UTC
Created attachment 966505 [details]
File: ifcfg.log

Comment 11 Pedro Jorge Viana 2015-01-21 18:53:05 UTC
Another user experienced a similar problem:

Was trying to install Fedora from USB and using RAID 0 Software with 2 equal HDD as / partition and formated as ext4
First deleting all partition information for both Hard drives.
Will try to reboot and see if all deletions on partition tables make efective.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=UUID=B8E3-385E rootfstype=vfat ro rd.live.image quiet rhgb rd.luks=0 rd.md=0 rd.dm=0
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.x86_64
other involved packages: python-blivet-0.61.13-1.fc21.noarch, pyparted-3.9.5-2.fc21.x86_64, python-libs-2.7.8-7.fc21.x86_64
package:        anaconda-core-21.48.21-1.fc21.x86_64
packaging.log:  
product:        Fedora"
reason:         IOException: Partition(s) 1, 2, 3, 4 on /dev/sda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Fedora release 21 (Twenty One)
version:        Fedora

Comment 12 Bam 2015-03-19 03:00:47 UTC
Another user experienced a similar problem:

Attempted to install Fedora to the hard disk and received this error.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=LIVE rootfstype=vfat ro rd.live.image quiet rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.x86_64
other involved packages: python-blivet-0.61.13-1.fc21.noarch, pyparted-3.9.5-2.fc21.x86_64, python-libs-2.7.8-7.fc21.x86_64
package:        anaconda-core-21.48.21-1.fc21.x86_64
packaging.log:  
product:        Fedora"
reason:         IOException: Partition(s) 1 on /dev/sdb have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Fedora release 21 (Twenty One)
version:        Fedora

Comment 13 David Shea 2015-04-14 20:28:26 UTC
*** Bug 1211764 has been marked as a duplicate of this bug. ***

Comment 14 gmoney93079 2015-05-26 00:08:34 UTC
Another user experienced a similar problem:

I am trying to install Fedora 21 to an external hard drive, I begin installation and then spits this error

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=FEDORA-LIVE rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.x86_64
other involved packages: python-blivet-0.61.13-1.fc21.noarch, pyparted-3.9.5-2.fc21.x86_64, python-libs-2.7.8-7.fc21.x86_64
package:        anaconda-core-21.48.21-1.fc21.x86_64
packaging.log:  
product:        Fedora"
reason:         IOException: Partition(s) 1 on /dev/sdc have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Fedora release 21 (Twenty One)
version:        Fedora

Comment 15 Fedora End Of Life 2015-11-04 10:52:55 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 David Shea 2015-11-23 14:37:15 UTC
*** Bug 1284187 has been marked as a duplicate of this bug. ***

Comment 17 Ed Avis 2015-12-26 12:13:40 UTC
Another user experienced a similar problem:

Manual partitioning.  Existing / partition on /dev/sda3 is shown (from existing Fedora 23 installation).  I add it with mount point / and tick Reformat, file system ext4.  On Update Settings, exception is thrown.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/vmlinuz-install.fc23.x86_64 iso-scan/filename=Fedora-Live-Workstation-x86_64-23-10.iso root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         blivet.errors.DeviceError: ('cannot replace active format', 'sda3')
release:        Fedora release 23 (Twenty Three)
version:        23

Comment 18 David Shea 2016-01-15 17:32:54 UTC
*** Bug 1299011 has been marked as a duplicate of this bug. ***

Comment 19 Brian Lane 2016-04-07 23:47:04 UTC
Proposed patch for F24:

https://github.com/rhinstaller/blivet/pull/363

Comment 20 Fedora Update System 2016-04-18 20:57:05 UTC
python-blivet-1.20.0-1.fc24 anaconda-24.13.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-45ca29d07c

Comment 21 Fedora Update System 2016-04-19 20:25:37 UTC
anaconda-24.13.4-1.fc24, python-blivet-1.20.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-45ca29d07c

Comment 22 Fedora Update System 2016-04-23 23:45:38 UTC
anaconda-24.13.4-1.fc24, python-blivet-1.20.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.